Subject: Request for benchmark programs

From: [email-masked] (Bruce Holmer)
Date: Fri, 18 Dec 1992 17:15:33 GMT

This might sound strange, but does anyone have PDP-8 assembly
code for some smallish benchmark programs?  I can write these
myself, but I thought I might check to see if they already
exist....

I'm looking for things like the old Byte benchmarks (circa
1981) or the benchmarks used in the first RISC articles (e.g.
Patterson/Sequin, Computer Magazine, Sept. 1982).  Things
like sieve, sort (quicksort, heapsort, etc.), string move,
string search, ackerman, simple puzzle solvers, matrix
operations, software floating point, etc.  I'll be running
these on a simulator, so I'll just initialize the memory, run
the code, and look at the results in memory (that is to say,
I can do with just subroutines for most of the simple stuff).

Thanks,
--Bruce Holmer
[email-masked]